VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Serial::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Serial::Info:

## Avaliable Methods
public method | get_backing ()
public method | get_label ()
public method | set_start_connected ()
public method | set_label ()
public method | set_allow_guest_control ()
public method | set_state ()
public method | get_start_connected ()
public method | get_allow_guest_control ()
public method | new ()
public method | get_yield_on_poll ()
public method | set_backing ()
public method | get_state ()
public method | set_yield_on_poll ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Serial::Info` class contains information about a virtual serial port.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::get_allow_guest_control | ( |  | ) |

Gets the value of 'allow_guest_control' property.

Return values

  allow_guest_control | - The current value of the field. Flag indicating whether the guest can connect and disconnect the device. boolean#

Code:
click to view
# Number of lines of code in get_allow_guest_control: 4
sub get_allow_guest_control {
my ($self, %args) = @_;
return $self->{'allow_guest_control'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::get_backing | ( |  | ) |

Gets the value of 'backing' property.

Return values

  backing | - The current value of the field. Physical resource backing for the virtual serial port. BackingInfo#

Code:
click to view
# Number of lines of code in get_backing: 4
sub get_backing {
my ($self, %args) = @_;
return $self->{'backing'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::get_label | ( |  | ) |

Gets the value of 'label' property.

Return values

  label | - The current value of the field. Device label. String#

Code:
click to view
# Number of lines of code in get_label: 4
sub get_label {
my ($self, %args) = @_;
return $self->{'label'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::get_start_connected | ( |  | ) |

Gets the value of 'start_connected' property.

Return values

  start_connected | - The current value of the field. Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on. boolean#

Code:
click to view
# Number of lines of code in get_start_connected: 4
sub get_start_connected {
my ($self, %args) = @_;
return $self->{'start_connected'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::get_state | ( |  | ) |

Gets the value of 'state' property.

Return values

  state | - The current value of the field. Connection status of the virtual device. ConnectionState#

Code:
click to view
# Number of lines of code in get_state: 4
sub get_state {
my ($self, %args) = @_;
return $self->{'state'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::get_yield_on_poll | ( |  | ) |

Gets the value of 'yield_on_poll' property.

Return values

  yield_on_poll | - The current value of the field. CPU yield behavior. If set to true, the virtual machine will periodically relinquish the processor if its sole task is polling the virtual serial port. The amount of time it takes to regain the processor will depend on the degree of other virtual machine activity on the host. boolean#

Code:
click to view
# Number of lines of code in get_yield_on_poll: 4
sub get_yield_on_poll {
my ($self, %args) = @_;
return $self->{'yield_on_poll'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Serial::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{label} = $args{'label'};
$self->{yield_on_poll} = $args{'yield_on_poll'};
$self->{backing} = $args{'backing'};
$self->{state} = $args{'state'};
$self->{start_connected} = $args{'start_connected'};
$self->{allow_guest_control} = $args{'allow_guest_control'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Serial::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.serial.info');
$self->set_binding_field('key' => 'label', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'yield_on_poll', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'backing', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Serial::BackingInfo'));
$self->set_binding_field('key' => 'state', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'ConnectionState'));
$self->set_binding_field('key' => 'start_connected', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'allow_guest_control', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::set_allow_guest_control | ( |  | ) |

Sets the given value for 'allow_guest_control' property.

Parameters

  allow_guest_control | - New value for the field. Flag indicating whether the guest can connect and disconnect the device.

Code:
click to view
# Number of lines of code in set_allow_guest_control: 5
sub set_allow_guest_control {
my ($self, %args) = @_;
$self->{'allow_guest_control'} = $args{'allow_guest_control'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::set_backing | ( |  | ) |

Sets the given value for 'backing' property.

Parameters

  backing | - New value for the field. Physical resource backing for the virtual serial port.

Code:
click to view
# Number of lines of code in set_backing: 5
sub set_backing {
my ($self, %args) = @_;
$self->{'backing'} = $args{'backing'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::set_label | ( |  | ) |

Sets the given value for 'label' property.

Parameters

  label | - New value for the field. Device label.

Code:
click to view
# Number of lines of code in set_label: 5
sub set_label {
my ($self, %args) = @_;
$self->{'label'} = $args{'label'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::set_start_connected | ( |  | ) |

Sets the given value for 'start_connected' property.

Parameters

  start_connected | - New value for the field. Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

Code:
click to view
# Number of lines of code in set_start_connected: 5
sub set_start_connected {
my ($self, %args) = @_;
$self->{'start_connected'} = $args{'start_connected'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::set_state | ( |  | ) |

Sets the given value for 'state' property.

Parameters

  state | - New value for the field. Connection status of the virtual device.

Code:
click to view
# Number of lines of code in set_state: 5
sub set_state {
my ($self, %args) = @_;
$self->{'state'} = $args{'state'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::Info::set_yield_on_poll | ( |  | ) |

Sets the given value for 'yield_on_poll' property.

Parameters

  yield_on_poll | - New value for the field. CPU yield behavior. If set to true, the virtual machine will periodically relinquish the processor if its sole task is polling the virtual serial port. The amount of time it takes to regain the processor will depend on the degree of other virtual machine activity on the host.

Code:
click to view
# Number of lines of code in set_yield_on_poll: 5
sub set_yield_on_poll {
my ($self, %args) = @_;
$self->{'yield_on_poll'} = $args{'yield_on_poll'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Serial.pm